> ## Documentation Index
> Fetch the complete documentation index at: https://developers.squads.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Standing Order

> Create a new recurring standing order



## OpenAPI

````yaml POST /api/grid/v1/accounts/{address}/standing-order-intent
openapi: 3.1.0
info:
  title: Grid v1 API
  description: Grid v1 REST API for Solana-based smart account system
  contact:
    name: Grid API Support
    url: https://squads.so
    email: support@squads.so
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://grid.squads.xyz
    description: Production server
security:
  - bearer_auth: []
tags:
  - name: accounts
    description: Smart account management operations
  - name: spending-limits
    description: Spending limit management
  - name: standing-orders
    description: Standing order operations
  - name: transactions
    description: Transaction management
  - name: trade
    description: Trade operations and management
  - name: payments
    description: Payment intent operations
  - name: passkeys
    description: Passkey management
  - name: kyc
    description: Know Your Customer operations
  - name: external-accounts
    description: External bank account management
  - name: virtual-accounts
    description: Virtual account management
  - name: auth
    description: Authentication operations
  - name: proposals
    description: Proposal management for multi-sig operations
  - name: compliance
    description: Compliance entity management and KYB/KYC operations
paths:
  /api/grid/v1/accounts/{address}/standing-order-intent:
    post:
      tags:
        - standing-orders
      summary: Create a standing order intent
      description: Create a new standing order for recurring payments from a smart account
      operationId: handler
      parameters:
        - name: address
          in: path
          description: Smart account address
          required: true
          schema:
            type: string
        - name: x-grid-environment
          in: header
          description: Solana network environment (sandbox, devnet, mainnet)
          required: true
          schema:
            type: string
          example: sandbox
        - name: x-idempotency-key
          in: header
          description: Idempotency key to prevent duplicate operations
          required: false
          schema:
            type:
              - string
              - 'null'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateStandingOrderRequestPayload'
        required: true
      responses:
        '201':
          description: Standing order created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateStandingOrderResponsePayload'
        '400':
          description: Invalid request parameters
        '404':
          description: Smart account not found
        '500':
          description: Internal server error
      security:
        - bearer_auth: []
components:
  schemas:
    CreateStandingOrderRequestPayload:
      type: object
      required:
        - amount
        - source
        - destination
        - frequency
        - start_date
      properties:
        amount:
          type: string
        destination:
          $ref: '#/components/schemas/Details'
        end_date:
          type:
            - string
            - 'null'
          format: date-time
        frequency:
          type: string
        source:
          $ref: '#/components/schemas/Details'
        start_date:
          type: string
          format: date-time
    CreateStandingOrderResponsePayload:
      type: object
      required:
        - id
        - amount
        - ui_amount
        - currency
        - payment_rail
        - source
        - destination
        - frequency
        - start_date
        - status
        - transaction
        - kms_payloads
        - valid_until
        - created_at
      properties:
        amount:
          type: string
        created_at:
          type: string
          format: date-time
        currency:
          type: string
        destination:
          $ref: '#/components/schemas/Details'
        end_date:
          type:
            - string
            - 'null'
          format: date-time
        frequency:
          type: string
        id:
          type: string
        kms_payloads:
          type: array
          items:
            $ref: '#/components/schemas/KmsPayload'
        payment_rail:
          type: string
        source:
          $ref: '#/components/schemas/Details'
        start_date:
          type: string
          format: date-time
        status:
          type: string
        transaction:
          type: string
        transaction_signers:
          type: array
          items:
            type: string
        ui_amount:
          type: string
        valid_until:
          type: string
          format: date-time
    Details:
      oneOf:
        - $ref: '#/components/schemas/NewExternalAccountDetails'
        - $ref: '#/components/schemas/ExistingExternalAccountDetails'
        - $ref: '#/components/schemas/GridAccountDetails'
        - $ref: '#/components/schemas/SolanaDetails'
    KmsPayload:
      type: object
      required:
        - provider
        - address
        - payload
      properties:
        address:
          type: string
        payload:
          type: string
        provider:
          $ref: '#/components/schemas/GridMPCProvider'
    NewExternalAccountDetails:
      type: object
      required:
        - payment_rail
        - currency
        - details
      properties:
        currency:
          type: string
        details: {}
        payment_rail:
          type: string
    ExistingExternalAccountDetails:
      type: object
      required:
        - payment_rail
        - currency
        - external_account_id
      properties:
        currency:
          type: string
        external_account_id:
          type: string
        payment_rail:
          type: string
    GridAccountDetails:
      type: object
      required:
        - account
        - currency
      properties:
        account:
          type: string
        currency:
          type: string
        transaction_signers:
          type: array
          items:
            type: string
    SolanaDetails:
      type: object
      required:
        - currency
      properties:
        address:
          type: string
        currency:
          type: string
    GridMPCProvider:
      type: string
      enum:
        - privy
        - dynamic
        - passkey
        - turnkey
        - external
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: Your Grid API key from the Grid Dashboard

````